package org.chenyang.http.conn;

import org.chenyang.http.conn.routing.HttpRoute;
import org.chenyang.http.conn.scheme.SchemeRegistry;
import java.util.concurrent.TimeUnit;

/** @deprecated */
@Deprecated
public interface ClientConnectionManager {
   SchemeRegistry getSchemeRegistry();

   ClientConnectionRequest requestConnection(HttpRoute var1, Object var2);

   void releaseConnection(ManagedClientConnection var1, long var2, TimeUnit var4);

   void closeIdleConnections(long var1, TimeUnit var3);

   void closeExpiredConnections();

   void shutdown();
}
